{
	"name": "form/nc/nc-bank/grid-voucher_row.json",
	"row_class_rules-": {
		"nc-grid-row-changed": "Math.abs(data.book_value) >= 6000",
		"nc-grid-row-equal": "data.balance_difference",
		"nc-grid-row-deleted": "data.balance_difference",
		"nc-grid-row-new": "data.bkv.voucher_type === 6"
	},
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "colDef.field === 'bkv.voucher_type' && x === 6",
				"nc-grid-row-deleted": "colDef.field === 'balance_difference' && x"
			},
			"row_class_rules": {
				"nc-grid-row-new": "data.bkv.voucher_type === 6"
			}
		}
	},
	"column": [
		{
			"icon": "nc-link-icon",
			"link_field": "bkvr.voucher_id",
			"link_data_field": "bkvr.voucher_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"field": "bkvr.voucher_id",
			"width": 90,
			"name": "Tosite id"
		},
		{
			"field": "bkv.voucher_number",
			"width": 90,
			"name": "Tositenro"
		},
		{
			"field": "bkv.target_date",
			"width": 85,
			"name": "Päiväys"
		},
		{
			"variable": "book_value",
			"width": 90,
			"name": "Summa",
			"format": "%'.2f"
		},
		{
			"variable": "book_balance",
			"width": 90,
			"name": "Saldo",
			"format": "%'.2f",
			"cellClass": ["nc-bolder"]
		},
		{
			"variable": "balance_difference",
			"width": 90,
			"name": "Erotus",
			"format": "%'.2f",
			"cellClass": ["nc-emphasis", "nc-bold"]
		},
		{
			"variable": "bank_statement_date",
			"width": 85,
			"name": "Tilio. pv",
			"type": "date"
		},
		{
			"variable": "bank_statement_balance",
			"width": 80,
			"name": "Tilio. saldo",
			"format": "%'.2f",
			"cellClass": ["nc-bolder"]
		},
		{
			"variable": "bank_statement_value",
			"width": 90,
			"name": "Tilio. määrä",
			"format": "%'.2f"
		},
		{
			"field": "bkv.voucher_type",
			"width": 70,
			"name": "Tyyppi"
		},
		{
			"field": "bkv.voucher_state",
			"width": 60,
			"name": "Tila"
		},
		{
			"field": "bkvr.row_number",
			"width": 60,
			"name": "Rivi"
		},
		{
			"field": "bkvr.json_data.account_id",
			"width": 60,
			"name": "Tili"
		},
		{
			"width": 118,
			"field": "bka.name",
			"name": "Nimi",
			"hide": true
		},
		{
			"field": "bkvr.json_data.debet_price",
			"width": 70,
			"name": "Debet"
		},
		{
			"field": "bkvr.json_data.kredit_price",
			"width": 70,
			"name": "Kredit"
		},
		{
			"variable": "bank_statement_record_type",
			"width": 70,
			"name": "Tilio. tyyppi",
			"type": "varchar"
		},
		{
			"field": "bkv.reference",
			"width": 100,
			"name": "Viite"
		},
		{
			"field": "bkvr.description",
			"width": 100,
			"name": "Tosite lisät."
		},
		{
			"field": "bkv.info",
			"width": 100,
			"name": "Tosite lisät."
		},
		{
			"field": "bkvr.invoice_id",
			"width": 80,
			"name": "Lasku"
		},
		{
			"field": "bkvr.json_data.invoice_payment_id",
			"width": 76,
			"name": "Laskun suoritus"
		},
		{
			"field": "bkvr.json_data.accounts_payable_id",
			"width": 71,
			"name": "Ostoreskontra"
		},
		{
			"field": "bkvr.json_data.accounts_payable_paym_id",
			"width": 65,
			"name": "Vastakirjaus"
		},
		{
			"field": "bkvr.json_data.firm_id",
			"width": 60,
			"name": "Yritys"
		},
		{
			"field": "bkvr.info",
			"width": 100,
			"name": "Lisätietoja"
		},
		{
			"field": "bkvr.modify_id",
			"width": 350,
			"name": "Muutos ID"
		},
		{
			"field": "bkvr.record_id",
			"width": 350,
			"name": "Record ID"
		}
	]
}
